/**********************************************************************
$Id: userregex.h,v 1.1 2002/08/11 10:39:18 bu Exp $

Copyright 2002, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/

#include "config.h"

#if USE_USER_REGEX

#if __LINUX__
#include <stddef.h>
#endif

#if USE_PCRE
#include <pcreposix.h>
#else
#include <regex.h>
#endif

#include <stdio.h>
#include "logging.h"

#ifndef CONF_FILE 
#include "conffile.h"
#endif

int userregex(char *);
void freeuserregex();

char *regexvalname(int);

#endif /* USE_USER_REGEX */
